## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 5a79cde93da6d68a4b1373f1ce5796c3c5fe1b37
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20160118

Name:           appindicator3-sharp
Version:        0^%{gitdate}git%{shortcommit}
Release:        %autorelease
Summary:        Mono bindings for libappindicator-gtk3
License:        LGPL-3.0-or-later
URL:            https://github.com/sundermann/appindicator-sharp
Source0:        %{url}/archive/%{commit}/appindicator-sharp-%{commit}.tar.gz

BuildRequires:  autoconf automake libtool
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(gtk-sharp-3.0)
BuildRequires:  pkgconfig(gapi-3.0)
BuildRequires:  pkgconfig(appindicator3-0.1)

ExclusiveArch:  %{mono_arches}

%description
Mono bindings for appindicator3 using gobject-introspection

%package devel
Summary:        Files needed for developing with appindicator3-sharp
Requires:       %{name}%{?_isa} = %{version}-%{release}
	
%description devel
This package provides the necessary development libraries and headers
for writing appindicator3-sharp applications.

%package doc
Summary:        appindicator3-sharp documentation
Requires:       monodoc
BuildArch:      noarch
	
%description doc
This package provides the documentation for appindicator3-sharp.


%prep
%autosetup -n appindicator-sharp-%{commit}
autoreconf -fiv


%build
%configure --disable-static
%make_build -j1


%install
%make_install


%files
%license COPYING
%doc AUTHORS README.md
%{_libdir}/libappindicator3sharpglue-*.so
%{_monogacdir}/appindicator3-sharp
%{_monodir}/appindicator3-sharp

%files devel
%{_libdir}/pkgconfig/appindicator3-sharp-0.1.pc
%{_datadir}/gapi-3.0/appindicator3-sharp-api.xml

%files doc
%{_prefix}/lib/monodoc/sources/appindicator3-sharp-docs.*


%changelog
## START: Generated by rpmautospec
* Tue Jan 09 2024 John Doe <packager@example.com> - 0^20160118git5a79cde-1
- Uncommitted changes
## END: Generated by rpmautospec
